=== debian/changelog ===
git-extras (1.7.0-1) unstable; urgency=low

  * Initial release (Closes: #632113)

 -- Jesús Espino <jespinog@gmail.com>  Fri, 22 Jun 2012 20:01:27 +0200
