=== debian/control ===
Source: git-extras
Section: vcs
Priority: extra
Maintainer: Jesús Espino <jespinog@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ruby-ronn (>= 0.7.3)
Standards-Version: 3.9.3
Homepage: http://github.com/visionmedia/git-extras

Package: git-extras
Architecture: all
Depends: ${misc:Depends}, git (>= 1.7.0)
Description: Extra commands for git
 This package provides extra git commands to easily solve typical tasks such as
 managing remote branches, managing feature/refactor/bug workflows and generate
 some repository stats.
