=== debian/changelog ===
git-extras (1.9.0-1) unstable; urgency=low

  * New upstream release, git-bug has a manpage now (closes: #683145).
  * Drop git-rename-tag-add-shebang patch applied upstream.
  * Drop fix-git-ignore-manpage patch as no longer relevant.
  * New maintainer.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Nov 2013 08:48:06 +0000

git-extras (1.7.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * git-changelog, git-effort: Correct unsafe temporary file usage
    (Closes: #698490)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 20 Jan 2013 18:07:43 +0000

git-extras (1.7.0-1.1) unstable; urgency=low

  * Non-maintainer upload to fix Release Critical bug.
  * Remove the git-gh-pages command, due to it being unsafe and undocumented.
    Closes: #686833.
  * Fix git-ignore manpage that had some errors.  Added:
    debian/patches/fix-git-ignore-manpage

 -- Margarita Manterola <marga@debian.org>  Sat, 08 Sep 2012 13:35:20 +0100
