=== debian/control ===
Source: git-extras
Section: vcs
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
Standards-Version: 3.9.5
Homepage: http://github.com/visionmedia/git-extras

Package: git-extras
Architecture: all
Depends: git (>= 1.7.0), ${misc:Depends}
Description: Extra commands for git
 This package provides extra git commands to easily solve typical tasks such as
 managing remote branches, managing feature/refactor/bug workflows and generate
 some repository stats.
