=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,6 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+	rm debian/git-extras/usr/bin/git-gh-pages
+
+.PHONY: override_dh_auto_build override_dh_auto_install
