=== debian/watch ===
version=3
http://githubredir.debian.net/github/visionmedia/git-extras/ (.+).tar.gz
