## git-extras 1.9.1

=== debian/changelog ===
git-extras (1.9.1-2) unstable; urgency=medium

  * Update watch file.
  * Update Standards-Version to 3.9.6 .

  [ Andrew Starr-Bochicchio <asb@debian.org> ]
  * git-fresh-branch: Check for changes and prompt for input
    before deleting untracked changes. Backported from
    upstream (closes: #779784).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Mar 2015 05:42:41 +0000

git-extras (1.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Sep 2014 17:06:36 +0000
