=== debian/changelog ===
git-extras (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #797497).
  * Install bash completion files.
  * Remove obsolete patches.
  * Update escape_line_dot_start.patch and remove_utf-8_from_manpages.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 01 Sep 2015 18:13:47 +0200
