=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGDIR=$(CURDIR)/debian/git-extras/

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build -- docs

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm $(PKGDIR)/usr/bin/git-gh-pages

.PHONY: override_dh_auto_build override_dh_auto_install
