## git-extras 4.0.0

=== debian/changelog ===
git-extras (4.0.0-1) unstable; urgency=low

  * New upstream release.
  * Update patches.

  [ Ben Finney <ben+debian@benfinney.id.au> ]
  * Unset GREP_OPTIONS to prevent deprecation warning (closes: #806393).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Jan 2016 20:39:16 +0100
