=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://github.com/visionmedia/git-extras
 
 Package: git-extras
