=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,14 @@
 
 PKGDIR=$(CURDIR)/debian/git-extras/
 
-%:
-	dh $@ 
-
 override_dh_auto_build:
 	dh_auto_build -- docs
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr
+	dh_auto_install -- PREFIX=/usr SYSCONFDIR=/usr/share
 	rm $(PKGDIR)/usr/bin/git-gh-pages
 
+%:
+	dh $@ 
+
 .PHONY: override_dh_auto_build override_dh_auto_install
