## git-extras 4.2.0

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,8 @@
 	fi
 	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
 	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/git-extras
+	@echo ""
+	@echo "If you are a zsh user, you may want to 'source etc/git-extra-completion.zsh' and put this line into ~/.zshrc to enable zsh completion"
 
 man/%.html: man/%.md
 	ronn \
