=== debian/changelog ===
git-extras (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh update_bash_completion_path patch (closes: #824371).
  * Install zsh completion.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 07 Nov 2016 18:26:49 +0000
