## git-extras 4.3.0

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,9 @@
 			cat $(LIB) >> $(TEMPFILE); \
 			if ! grep "$(COMMAND)" not_need_git_repo >/dev/null; then \
 				cat ./helper/is-git-repo >> $(TEMPFILE); \
+			fi; \
+			if grep "$(COMMAND)" need_git_commit >/dev/null; then \
+				cat ./helper/has-git-commit >> $(TEMPFILE); \
 			fi; \
 			tail -n +2 bin/$(COMMAND) >> $(TEMPFILE); \
 			cp -f $(TEMPFILE) $(DESTDIR)$(BINPREFIX)/$(COMMAND); \
