=== debian/changelog ===
git-extras (4.3.0-1) unstable; urgency=low

  * New upstream release (closes: #864540).
  * Update the remove_utf-8_from_manpages patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 05:33:08 +0000
