## git-extras 4.4.0

=== debian/changelog ===
git-extras (4.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.
  * Change priority to optional as in the override.
  * Update Standards-Version to 4.1.1 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Oct 2017 07:27:52 +0000
