=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: git-extras
 Section: vcs
-Priority: extra
+Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), ruby-ronn (>= 0.7.3)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), ruby-ronn (>= 0.7.3)
+Standards-Version: 4.1.1
 Homepage: http://github.com/visionmedia/git-extras
 
 Package: git-extras
