=== debian/changelog ===
git-extras (4.5.0-2) unstable; urgency=medium

  * Change ruby-ronn build dependency to ronn (closes: #903062).
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Jul 2018 13:39:46 +0000

git-extras (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.3 .
  * Update homepage location (closes: #879092).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Feb 2018 20:55:03 +0000
