=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), ruby-ronn (>= 0.7.3)
-Standards-Version: 4.1.1
-Homepage: http://github.com/visionmedia/git-extras
+Build-Depends: debhelper (>= 11), ronn
+Standards-Version: 4.1.5
+Homepage: https://github.com/tj/git-extras
 
 Package: git-extras
 Architecture: all
