=== debian/changelog ===
git-extras (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Sep 2018 18:50:01 +0000
