=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), ronn
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://github.com/tj/git-extras
 
 Package: git-extras
