=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr SYSCONFDIR=/usr/share
+	mkdir -p $(PKGDIR)/usr/share/zsh/vendor-completions/
+	install -m0644 -p $(CURDIR)/etc/git-extras-completion.zsh \
+		$(PKGDIR)/usr/share/zsh/vendor-completions/_git-extras
 	rm $(PKGDIR)/usr/bin/git-gh-pages
 
 %:
