=== debian/watch ===
version=3
https://github.com/tj/git-extras/tags .*/git-extras/archive/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
