## git-extras 4.7.0

=== debian/changelog ===
git-extras (4.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 26 Jul 2019 17:59:18 +0000
