## git-extras 5.0.0

=== debian/changelog ===
git-extras (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Aug 2019 20:14:29 +0000
