## git-extras 5.1.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,12 @@
 
 docs: $(MAN_HTML) $(MAN_PAGES)
 
-install:
+check:
+	@echo "Check dependencies before installation"
+	@./check_dependencies.sh
+	@echo
+
+install: check
 	@if [ "$(INSTALL_VIA)" = brew ]; then \
 		git apply brew-release.patch || { echo "Can't apply brew release patch"; exit 1; } \
 	fi
@@ -120,4 +125,4 @@
 	rm -f man/*.1
 	rm -f man/*.html
 
-.PHONY: default docs clean docclean install uninstall
+.PHONY: default docs clean docclean check install uninstall
