=== debian/changelog ===
git-extras (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 29 Dec 2019 09:29:19 +0000
