=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 11), ronn
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11), ronn
+Standards-Version: 4.4.1
 Homepage: https://github.com/tj/git-extras
 
 Package: git-extras
