## git-extras 6.0.0

=== debian/changelog ===
git-extras (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jun 2020 13:22:18 +0200

git-extras (5.1.0-2) unstable; urgency=medium

  * Add bsdextrautils build dependency (closes: #963422).
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jun 2020 22:57:19 +0200
