=== debian/changelog ===
git-extras (6.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Oct 2020 22:40:20 +0200
