=== debian/control ===
Source: git-extras
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 12), bsdextrautils, ronn
Standards-Version: 4.5.0
Homepage: https://github.com/tj/git-extras

Package: git-extras
Architecture: all
Depends: git, ${misc:Depends}
Description: Extra commands for git
 This package provides extra git commands to easily solve typical tasks such as
 managing remote branches, managing feature/refactor/bug workflows and generate
 some repository stats.
