## git-extras 6.4.0

=== debian/changelog ===
git-extras (6.4.0-1) unstable; urgency=medium

  * New upstream release (closes: #1016634).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Aug 2022 15:10:02 +0200
