=== debian/changelog ===
git-extras (6.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Oct 2022 20:30:39 +0200
