=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 Package: git-extras
 Architecture: all
+Multi-Arch: foreign
 Depends: git, ${misc:Depends}
 Description: Extra commands for git
  This package provides extra git commands to easily solve typical tasks such as
