=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,6 @@
 	rm $(PKGDIR)/usr/bin/git-gh-pages
 
 %:
-	dh $@ 
+	dh $@
 
 .PHONY: override_dh_auto_build override_dh_auto_install
