## git-extras 7.0.0

=== debian/changelog ===
git-extras (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 Sep 2023 10:11:50 +0000
