=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), bsdextrautils, ronn
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras
 
 Package: git-extras
