## git-extras 7.1.0

=== debian/changelog ===
git-extras (7.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Nov 2023 22:02:11 +0100
