=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn
+Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn,
+ python3-pytest <!nocheck>, python3-git <!nocheck>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras
