## git-extras 7.2.0

=== debian/changelog ===
git-extras (7.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 May 2024 09:26:39 +0200
