=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn,
- python3-pytest <!nocheck>, python3-git <!nocheck>
-Standards-Version: 4.6.2
+ python3-pytest <!nocheck>, python3-testpath  <!nocheck>,
+ python3-git <!nocheck>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras
