## git-extras 7.3.0

=== debian/changelog ===
git-extras (7.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 25 Oct 2024 20:30:37 +0200
