## git-extras 7.4.0

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,25 @@
 PREFIX ?= /usr/local
 BINPREFIX ?= "$(PREFIX)/bin"
+SYSCONFDIR ?= $(PREFIX)/etc
+SHELL := bash
 
 OS = $(shell uname)
 ifeq ($(OS), FreeBSD)
 	MANPREFIX ?= "$(PREFIX)/man/man1"
+	ifeq ($(MANPREFIX), /usr/local)
+		MANPREFIX = "/usr/local/man/man1"
+	endif
 else
 	MANPREFIX ?= "$(PREFIX)/share/man/man1"
 endif
+ifeq ($(OS), Darwin)
+	COMPL_DIR ?= "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d"
+else ifeq ($(OS), FreeBSD)
+	COMPL_DIR ?= "$(DESTDIR)$(SYSCONFDIR)/bash_completion.d"
+else
+	COMPL_DIR ?= "$(DESTDIR)$(SYSCONFDIR)/bash-completion/completions"
+endif
 
-SYSCONFDIR ?= $(PREFIX)/etc
 BINS = $(wildcard bin/git-*)
 MANS = $(wildcard man/git-*.md)
 MAN_BINS = $(filter-out man/git-extras.md, $(MANS))
@@ -34,22 +45,24 @@
 	@if [ "$(INSTALL_VIA)" = brew ]; then \
 		git apply brew-release.patch || { echo "Can't apply brew release patch"; exit 1; } \
 	fi
-	@mkdir -p $(DESTDIR)$(MANPREFIX)
-	@mkdir -p $(DESTDIR)$(BINPREFIX)
-	@echo "... installing bins to $(DESTDIR)$(BINPREFIX)"
-	@echo "... installing man pages to $(DESTDIR)$(MANPREFIX)"
+	mkdir -p $(DESTDIR)$(MANPREFIX)
+	mkdir -p $(DESTDIR)$(BINPREFIX)
+	@echo '... installing bins to '$(DESTDIR)$(BINPREFIX)
+	@echo '... installing man pages to '$(DESTDIR)$(MANPREFIX)
 	$(eval TEMPFILE := $(shell mktemp -q $${TMPDIR:-/tmp}/git-extras.XXXXXX 2>/dev/null || mktemp -q))
 	@# chmod from rw-------(default) to rwxrwxr-x, so that users can exec the scripts
 	@chmod 775 $(TEMPFILE)
 	$(eval EXISTED_ALIASES := $(shell \
-		git config --get-regexp 'alias.*' | awk '{print "git-" substr($$1, 7)}'))
+		git config --get-regexp 'alias\..*' | awk '{print "git-" substr($$1, 7)}'))
 	@$(foreach COMMAND, $(COMMANDS), \
-		disable=''; \
-		if test ! -z "$(filter $(COMMAND), $(EXISTED_ALIASES))"; then \
-			read -p "$(COMMAND) conflicts with an alias, still install it and disable the alias? [y/n]" answer; \
-			test "$$answer" = 'n' -o "$$answer" = 'N' && disable="true"; \
+		should_install='yes'; \
+		if [ ! -z "$(filter $(COMMAND), $(EXISTED_ALIASES))" ] && [ "$$SKIP_CONFLICT_CHECK" != yes ]; then \
+			read -p "$(COMMAND) conflicts with an alias, still install it? [y/n]: " answer; \
+			if [ "$$answer" = 'n' ] || [ "$$answer" = 'N' ]; then \
+				should_install="no"; \
+			fi; \
 		fi; \
-		if test -z "$$disable"; then \
+		if [ "$$should_install" = 'yes' ]; then \
 			echo "... installing $(COMMAND)"; \
 			head -1 bin/$(COMMAND) > $(TEMPFILE); \
 			cat $(LIB) >> $(TEMPFILE); \
@@ -69,8 +82,8 @@
 		cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX); \
 		echo "cp -f man/git-*.1 $(DESTDIR)$(MANPREFIX)"; \
 	fi
-	@mkdir -p $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions
-	cp -f etc/bash_completion.sh $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions/git-extras
+	@mkdir -p $(COMPL_DIR)
+	cp -f etc/bash_completion.sh $(COMPL_DIR)/git-extras
 	@echo ""
 	@echo "If you are a zsh user, you may want to 'source $(CODE_DIR)etc/git-extras-completion.zsh'" \
 		"and put this line into ~/.zshrc to enable zsh completion"
@@ -119,7 +132,7 @@
 		echo "... uninstalling $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN))"; \
 		rm -f $(DESTDIR)$(MANPREFIX)/$(notdir $(MAN)); \
 	)
-	rm -f $(DESTDIR)$(SYSCONFDIR)/bash-completion/completions/git-extras
+	rm -f $(COMPL_DIR)/git-extras
 
 clean: docclean
 
@@ -127,4 +140,7 @@
 	rm -f man/*.1
 	rm -f man/*.html
 
-.PHONY: default docs clean docclean check install uninstall
+test:
+	pytest
+
+.PHONY: default docs check install uninstall clean docclean test
