=== debian/changelog ===
git-extras (7.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Aug 2025 17:20:20 +0200
