=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), bsdextrautils, ronn,
  python3-pytest <!nocheck>, python3-testpath  <!nocheck>,
  python3-git <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tj/git-extras
