=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 #export DH_VERBOSE=1
 
 PKGDIR=$(CURDIR)/debian/git-extras/
+
+override_dh_auto_clean:
+	dh_clean
+	# autogenerated files
+	$(RM) $(CURDIR)/man/*.1 $(CURDIR)/man/*.html
+	# test files
+	$(RM) -r $(CURDIR)/.pytest_cache/
 
 override_dh_auto_build:
 	dh_auto_build -- docs
@@ -19,4 +26,5 @@
 %:
 	dh $@
 
-.PHONY: override_dh_auto_build override_dh_auto_install
+.PHONY: override_dh_auto_clean override_dh_auto_build \
+	override_dh_auto_install
